Retrieve funding recipient

View as MarkdownOpen in Claude
Use this method to retrieve information about a funding recipient. To retrieve a funding recipient, you need its recipientId. Our gateway returned the recipientId in the response of the [Create Funding Recipient](https://docs.payroc.com/api/schema/funding/funding-recipients/create) method. **Note:** If you don't have the recipientId, use our [List Funding Recipients](https://docs.payroc.com/api/schema/funding/funding-recipients/list) method to search for the funding recipient. Our gateway returns the following information about the funding recipient: - Tax ID and Doing Business As (DBA) name. - Address and contact details. - Funding accounts linked to the funding recipient.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

recipientIdintegerRequired
Unique identifier that we assigned to the funding recipient.

Response

Successful request. Returns the requested funding recipient.
recipientTypeenum
Type or legal structure of the funding recipient.
taxIdstring

Employer identification number (EIN) or Social Security number (SSN).

doingBusinessAsstring
Legal name of the business or organization.
addressobject
Polymorphic object that contains address information for a funding recipient.
contactMethodslist of objects
Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: - `email` - Email address - `phone` - Phone number - `mobile` - Mobile number - `fax` - Fax number
ownerslist of objectsRead-only
Array of owner objects associated with the funding recipient.
fundingAccountslist of objectsRead-only
Array of fundingAccount objects associated with the funding recipient.
recipientIdintegerRead-only
Unique identifier that we assigned to the funding recipient.
statusenumRead-only
Indicates if we have approved the funding recipient.
Allowed values:
createdDatedatetimeRead-only
Date the funding recipient was created.
lastModifiedDatedatetimeRead-only
Date the funding recipient was last modified.
charityIdstring
Government identifier of the charity.
metadatamap from strings to strings

Metadata object you can use to include custom data with your request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error